Subject: bug#26985: Seeming regressions in Guile 2.2 relative to Guile 2.0

From: Barry Schwartz <[email-masked]>
Date: Thu, 18 May 2017 13:19:07 -0500

I do not have time or resources to do it myself, or even to make a
real bug report, but those interested in improving Guile 2.2 might
want to figure out why it cannot compile
https://bitbucket.org/sortsmill/sortsmill-core-guile. Guile 2.0 has no
trouble.

(One needs https://bitbucket.org/sortsmill/sortsmill-core to build
it.)

(Core Guile also presents an example of automatically compiling Guile
sources in dependency order, in case one is interested in that.)